mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.Rijndael Managed implementation of the Rijndael symmetric algorithm, also known as Advanced Encryption Standard (AES). In order for this implementation to be compatible with AES you must only use the 128 bits block size. Rijndael also supports 192 and 256 bits block size but they aren't supported in NIST FIPS 197. Note: this restriction is only for "block sizes" not for "key sizes".
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the decryption transform. Initialization Vector (IV) to be used by the decryption transform. Creates a symmetric Rijndael decryptor transform. a that is ready to be used to decrypt data. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the encryption transform. Initialization Vector (IV) to be used by the encryption transform. Creates a symmetric Rijndael encryptor transform. a that is ready to be used to encrypt data. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Generate a new random Initialization Vector (IV) required for some block cipher modes.

  The IV is used for most of operation (except ). The value can be made public and must be available when decrypting the data.

  IMPORTANT: If you reuse the same Rijndael object for multiple encryption using the same key it is CAPITAL that you use a different IV each time.

  `Rijndael aes = Rijndael.Create (); aes.GenerateKey (); foreach (string file in files) { // each file MUST be encrypted with a different IV aes.GenerateIV (); // encrypt the specified file with our Rijndael key EncryptFile (file, aes); }` 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Generates a random key for Rijndael. Uses the current KeySize. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)